package assert

import (
	"fmt"
	"testing"

	_ "unsafe"
)

// 指针接收器
//
//go:linkname logDepth testing.(*common).logDepth
//go:nosplit
func logDepth(_ *testing.T, s string, depth int)

func errorf(t *testing.T, format string, args ...any) {
	logDepth(t, fmt.Sprintf(format, args...), 3)
	t.Fail()
}
